#if false
using Microsoft.AspNetCore.Identity;
using survey_beta.DTOs.Create;
using survey_beta.DTOs.Default;
using survey_beta.Models;

namespace survey_beta.Mappers
{
    public class UserMapper
    {
        public static UserDto ToDto(User user)
        {
            return new UserDto
            {
                Id = user.Id,
                Email = user.Email,
                Username = user.UserName,
                Fullname = user.Fullname
            };
        }

        public static User ToEntity(CreateUserDto dto, IPasswordHasher<User> passwordHasher)
        {
            var user = new User
            {
                Id = Guid.NewGuid().ToString(),
                Email = dto.Email,
                UserName = dto.Username,
                Fullname = dto.Fullname,
            };

            user.PasswordHash = passwordHasher.HashPassword(user, dto.Password);
            return user;
        }
    }
}
#endif